/* @import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Titillium Web", sans-serif;
}


.flex {
    display: flex;
    align-items: center;
}

.container {
    padding: 0 15px;
    min-height: 100vh;
    justify-content: center;
    background: #f0f2f5;

    /* background-image: url('background.jpg'); */
}

.container1 {
    padding: 0 15px;
    min-height: auto;

    justify-content: center;
    background: #f0f2f5;
    /*background-image: url('background.jpg');*/
}

.facebook-page {
    justify-content: space-between;
    max-width: 1000px;
    width: 100%;
}

.facebook-page .text {
    margin-bottom: 90px;
}

.facebook-page h1 {
    color: #1877f2;
    font-size: 4rem;
    margin-bottom: 10px;
}

.facebook-page p {
    font-size: 1.75rem;
    white-space: nowrap;
}

form {
    display: flex;
    flex-direction: column;
    background: #fff;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1),
        0 8px 16px rgba(0, 0, 0, 0.1);
    max-width: 400px;
    width: 100%;
}

form input {
    height: 55px;
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 6px;
    margin-bottom: 15px;
    font-size: 1rem;
    padding: 0 14px;
}

form input:focus {
    outline: none;
    border-color: #1877f2;
}

.form1 div {

    width: 50%;
    padding-left: 4px;
}

.form1 {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    background: #fff;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1),
        0 8px 16px rgba(0, 0, 0, 0.1);
    max-width: 500px;
    width: 100%;
}

.form1 label {
    margin-left: 3px;
    margin-bottom: 3px;
}

.form1 input {
    height: 40px;
    width: 100% !important;
    border: 1px solid #ccc;
    border-radius: 6px;
    margin-bottom: 15px;
    font-size: 1rem;
    padding: 0 14px;
}

.form1 input:focus {
    outline: none;
    border-color: #1877f2;
}

::placeholder {
    color: #777;
    font-size: 1.063rem;
}

.link {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 15px;
}

.textarea-container {
    width: 100% !important;
    max-width: 500px;
}

textarea {
    width: 100%;
    padding: 15px;
    border: 2px solid #ccc;
    border-radius: 10px;
    background-color: #fff;
    color: #333;
    font-size: 16px;
    line-height: 1.5;
    resize: vertical;
    min-height: 150px;
    outline: none;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: border-color 0.3s, box-shadow 0.3s;
}

.file-upload {
    position: relative;
    display: inline-block;
    width: 300px;
    text-align: center;
}

.file-upload-label {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 20px;
    border: 2px solid #007BFF;
    border-radius: 5px;
    background-color: #fff;
    color: #007BFF;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s, border-color 0.3s;
}

.file-upload-label:hover {
    background-color: #007BFF;
    color: #fff;
    border-color: #0056b3;
}

.file-upload-label .file-upload-icon {
    margin-right: 10px;
    font-size: 18px;
}

.file-upload-input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

textarea::placeholder {
    color: #999;
    font-style: italic;
}

textarea:focus {
    border-color: #007BFF;
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}

textarea:hover {
    border-color: #888;
}

.link .login {
    border: none;
    outline: none;
    cursor: pointer;
    background: #1877f2;
    padding: 15px 0;
    border-radius: 6px;
    color: #fff;
    font-size: 1.25rem;
    font-weight: 600;
    transition: 0.2s ease;
}

.link .login:hover {
    background: #0d65d9;
}

.link .registration {
    border: none;
    outline: none;
    cursor: pointer;
    background: #18f24e;
    padding: 15px 0;
    border-radius: 6px;
    color: #fff;
    font-size: 1.25rem;
    font-weight: 600;
    transition: 0.2s ease;
}

form a {
    text-decoration: none;
}

.select-wrapper {
    position: relative;
    width: 200px;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 100%;
    padding: 10px 40px 10px 15px;
    border: 2px solid #ccc;
    border-radius: 5px;
    background: #fff;
    color: #333;
    font-size: 16px;
    cursor: pointer;
    outline: none;
    transition: border-color 0.3s;
}

select:hover {
    border-color: #888;
}

.select-wrapper::after {

    content: "▼";
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    pointer-events: none;
    font-size: 14px;
    color: #888;
}

select:focus {
    border-color: #007BFF;
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}

.link .forgot {
    color: #1877f2;
    font-size: 0.875rem;
}

.link .forgot:hover {
    text-decoration: underline;
}

hr {
    border: none;
    height: 1px;
    background-color: #ccc;
    margin-bottom: 20px;
    margin-top: 20px;
}

.button {
    margin-top: 25px;
    text-align: center;
    margin-bottom: 20px;
}

.button a {
    padding: 15px 20px;
    background: #42b72a;
    border-radius: 6px;
    color: #fff;
    font-size: 1.063rem;
    font-weight: 600;
    transition: 0.2s ease;
}

.button a:hover {
    background: #3ba626;
}

.checkbox-container {
    padding-top: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-checkbox {
    display: none;
}

.custom-checkbox+label {
    position: relative;
    padding-left: 25px;
    /* Adjust padding for smaller checkbox */
    cursor: pointer;
    font-size: 1rem;
    user-select: none;
}

.custom-checkbox+label::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 15px;
    /* Smaller width */
    height: 15px;
    /* Smaller height */
    border: 2px solid #ccc;
    border-radius: 3px;
    /* Adjusted for smaller size */
    background-color: white;
    transition: background-color 0.3s, border-color 0.3s;
}

.custom-checkbox:checked+label::before {
    background-color: #0d65d9;
    border-color: #0d65d9;
}

.custom-checkbox+label::after {
    content: "";
    position: absolute;
    left: 4px;
    top: 2px;
    width: 6px;
    height: 9px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    opacity: 0;
    transition: opacity 0.3s;
}

.custom-checkbox:checked+label::after {
    opacity: 1;
}

@media (max-width: 900px) {
    .facebook-page {
        flex-direction: column;
        text-align: center;
    }

    .facebook-page .text {
        margin-bottom: 30px;
    }
}

@media (max-width: 460px) {
    .facebook-page h1 {
        font-size: 3.5rem;
    }

    .facebook-page p {
        font-size: 1.3rem;
    }

    form {
        padding: 15px;
    }
}

/* label {
  font-weight: 600;
  color: #666;
}
body {
background: #f1f1f1;
}
.box8{
box-shadow: 0px 0px 5px 1px #999;
}
.mx-t3{
margin-top: -3rem;
} */